<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="AssessmentCriteriaAnswer"   package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>    

        <TABLE  name="tl_assessment_criteria_answer"    tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Answer"       type="Boolean"      dbcol="answer"/>
            <ATTRIB name="Notes"        type="String"       dbcol="notes"/>

            <SINGLEREFERENCE    name="AssessmentCriteria"   type="AssessmentCriteria"   dbcol="assessment_criteria_id"/>
            <SINGLEREFERENCE    name="JobApplication"       type="JobApplication"       dbcol="job_application_id"      backreferenceName="AssessmentCriteriaAnswers"/>

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_assessment_criteria_answer.object_id is not null"  orderBy="tl_assessment_criteria_answer.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>